CVE-2020-13529

NameCVE-2020-13529
DescriptionAn exploitable denial-of-service vulnerability exists in Systemd 245. A specially crafted DHCP FORCERENEW packet can cause a server running the DHCP client to be vulnerable to a DHCP ACK spoofing attack. An attacker can forge a pair of FORCERENEW and DCHP ACK packets to reconfigure the server.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
systemd (PTS)stretch232-25+deb9u12vulnerable
stretch (security)232-25+deb9u13vulnerable
buster241-7~deb10u7vulnerable
buster (security)241-7~deb10u8vulnerable
bullseye247.3-6vulnerable
bookworm, sid247.9-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
systemdsourceexperimental249~rc2-1
systemdsource(unstable)(unfixed)unimportant

Notes

https://talosintelligence.com/vulnerability_reports/TALOS-2020-1142
https://github.com/systemd/systemd/issues/16774
https://bugzilla.redhat.com/show_bug.cgi?id=1959397
Fixed by: https://github.com/systemd/systemd/commit/38e980a6a5a3442c2f48b1f827284388096d8ca5 (v249-rc2)
Generic DHCP protocol issue, negligible security impact

Search for package or bug name: Reporting problems